403Webshell
Server IP : 34.67.85.211  /  Your IP : 216.73.217.52
Web Server : Apache
System : Linux wordpress-1-vm 4.9.0-13-amd64 #1 SMP Debian 4.9.228-1 (2020-07-05) x86_64
User : root ( 0)
PHP Version : 7.4.9
Disable Function : pcntl_alarm,pcntl_fork,pcntl_waitpid,pcntl_wait,pcntl_wifexited,pcntl_wifstopped,pcntl_wifsignaled,pcntl_wifcontinued,pcntl_wexitstatus,pcntl_wtermsig,pcntl_wstopsig,pcntl_signal,pcntl_signal_get_handler,pcntl_signal_dispatch,pcntl_get_last_error,pcntl_strerror,pcntl_sigprocmask,pcntl_sigwaitinfo,pcntl_sigtimedwait,pcntl_exec,pcntl_getpriority,pcntl_setpriority,pcntl_async_signals,pcntl_unshare,
MySQL : OFF  |  cURL : ON  |  WGET : ON  |  Perl : ON  |  Python : ON  |  Sudo : ON  |  Pkexec : OFF
Directory :  /var/lib/dpkg/info/

Upload File :
current_dir [ Writeable ] document_root [ Writeable ]

 

Command :


[ Back ]     

Current File : /var/lib/dpkg/info/dpkg.postrm
#!/bin/sh
# See deb-postrm(5).

set -e

# Remove log file when dpkg is purged
remove_logfile() {
    rm -f /var/log/dpkg.log /var/log/dpkg.log.* 2>/dev/null
}

# Cleanup multiarch infodb leftovers
cleanup_multiarch_infodb()
{
    admindir=${DPKG_ADMINDIR:-/var/lib/dpkg}
    pkgadmindir=$admindir/info

    echo "Cleaning up the multiarch dpkg control files database ..."
    ls $pkgadmindir | grep : | while read oldfile; do
        rm "$pkgadmindir/$oldfile"
    done
    rm -f $pkgadmindir/format
}

case "$1" in
    remove)
	;;

    purge)
	remove_logfile
	;;

    upgrade)
	# Downgrade the multiarch db to a “monoarch” db layout
	if dpkg --compare-versions "$2" lt 1.16.2; then
	    cleanup_multiarch_infodb
	fi
	;;

    failed-upgrade|disappear|abort-install|abort-upgrade)
	;;


    *)
	echo "$0 called with unknown argument '$1'" 1>&2
	exit 1
	;;
esac


exit 0

Youez - 2016 - github.com/yon3zu
LinuXploit